using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            double max = 0.0, proc = 0.0, tek = 0.0;
            int n = int.Parse(Console.ReadLine());
            int[] a = new int[n];
            double[] p = new double[n];
            string[] s;
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                p[i] = double.Parse(s[1]) / 100;
            }
            for (int i = 0; i < n; i++)
            {
                tek = 0.0;
                for (int j = 0; j < n; j++)
                {
                    if (p[j] >= p[i])
                        tek += a[j] * p[i];
                }
                if (max < tek)
                {
                    max = tek;
                    proc = p[i];
                }
            }
            Console.WriteLine(max);
        }
    }
}